This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 838941 - (CVE-2012-3402) CVE-2012-3402 gimp (PSD plug-in): Heap-buffer overflow by decoding certain PSD headers
CVE-2012-3402 gimp (PSD plug-in): Heap-buffer overflow by decoding certain PS...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120820,repor...
: Security
Depends On: 714127 714128
Blocks: 714114
  Show dependency treegraph
 
Reported: 2012-07-10 09:28 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix CVEs 2009-3909 and 2012-3402 (3.42 KB, patch)
2012-08-08 11:35 EDT, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-07-10 09:28:05 EDT
A heap-based buffer overflow flaw was found in the way Adobe Photoshop(tm) PSD plug-in of Gimp, the GNU Image Manipulation Program, performed decoding of headers, when loading certain Adobe Photoshop image files. A remote attacker could provide a specially-crafted PSD image file that, when opened in Gimp would lead to PSD plug-in crash or, potentially, arbitrary code execution with the privileges of the user running gimp executable.

This issue was found by Jan Lieskovsky of the Red Hat Security Response Team
Comment 3 Jan Lieskovsky 2012-07-11 11:52:27 EDT
The CVE identifier of CVE-2012-3402 has been assigned to this issue.
Comment 4 Nils Philippsen 2012-08-08 11:35:00 EDT
Created attachment 603059 [details]
Patch to fix CVEs 2009-3909 and 2012-3402
Comment 7 errata-xmlrpc 2012-08-20 09:45:12 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1181 https://rhn.redhat.com/errata/RHSA-2012-1181.html

Note You need to log in before you can comment on or make changes to this bug.